TTransformCreator< Transform > Class Template Referenceabstract
Image Registration and Transformation

`#include <mia/template/transformfactory.hh>`

Inheritance diagram for TTransformCreator< Transform >:
[legend]
Collaboration diagram for TTransformCreator< Transform >:
[legend]

## Public Types

typedef Transform::InterpolatorFactory | InterpolatorFactory
| the type of the interpolation factory used by this transformation
typedef Transform::Data | plugin_data
| helper type for plug-in handling
typedef Transform | plugin_type
| helper type for plug-in handling
typedef std::shared_ptr< TTransformCreator< Transform > > | Pointer
| the pointer type for this transformation creator
typedef Transform::Size | Size
| the size type of this transformation
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

Transform::Pointer | create (const Size &size) const
bool | has_property (const char *property) const
| TTransformCreator (const InterpolatorFactory &ipf)
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Protected Member Functions

void | add_property (const char *property)

## Detailed Description

template<typename Transform>
class TTransformCreator< Transform >

This class is the base class for a Creater of transformations according to a given model. Derived from this class are all the plug-ins that may create transformations of different types.

Template Parameters

  Transform | the transformation type to be created by this creator

Definition at line 44 of file template/transformfactory.hh.

## Member Typedef Documentation

## InterpolatorFactory

template<typename Transform>

typedef Transform::InterpolatorFactory TTransformCreator< Transform >::InterpolatorFactory

the type of the interpolation factory used by this transformation

Definition at line 55 of file template/transformfactory.hh.

## plugin_data

template<typename Transform>

typedef Transform::Data TTransformCreator< Transform >::plugin_data

helper type for plug-in handling

Definition at line 49 of file template/transformfactory.hh.

## plugin_type

template<typename Transform>

typedef Transform TTransformCreator< Transform >::plugin_type

helper type for plug-in handling

Definition at line 52 of file template/transformfactory.hh.

## Pointer

template<typename Transform>

typedef std::shared_ptr<TTransformCreator<Transform> > TTransformCreator< Transform >::Pointer

the pointer type for this transformation creator

Definition at line 61 of file template/transformfactory.hh.

## Size

template<typename Transform>

typedef Transform::Size TTransformCreator< Transform >::Size

the size type of this transformation

Definition at line 58 of file template/transformfactory.hh.

## Constructor & Destructor Documentation

## TTransformCreator()

template<typename Transform>

TTransformCreator< Transform >::TTransformCreator | ( | const InterpolatorFactory & | ipf | ) |

Copy constructor

## Member Function Documentation

## add_property()

template<typename Transform>

void TTransformCreator< Transform >::add_property | ( | const char * | property | ) |

protected

Add a property

Parameters

  property |

## create()

template<typename Transform>

Transform::Pointer TTransformCreator< Transform >::create | ( | const Size & | size | ) | const

Creates a transformation according to the given model and defined on a grid [(0,0), size}

## has_property()

template<typename Transform>

bool TTransformCreator< Transform >::has_property | ( | const char * | property | ) | const

This function checks for a given property of the transformation creator.

Parameters

  property |

Returns
  true if property is supported

The documentation for this class was generated from the following file:

- template/transformfactory.hh